Netbeans 7, ¿cómo configurar la ruta JDK a Maven?

Estoy usando Netbeans 7. Cuando creo un nuevo módulo Maven EJB, me dio un error

cd F:\NetBeansProjects; "JAVA_HOME=C:\\Program Files\\Java\\j2sdk1.4.2_19" "\"C:\\Program Files\\NetBeans 7.0\\java\\maven\\bin\\mvn.bat\"" -DarchetypeVersion=1.3 -Darchetype.interactive=false -DgroupId=com.mycompany -DarchetypeArtifactId=ejb-javaee6 -DarchetypeRepository=http://repo1.maven.org/maven2/ -Dversion=1.0-SNAPSHOT -DarchetypeGroupId=org.codehaus.mojo.archetypes -Dbasedir=F:\\NetBeansProjects -Dpackage=com.mycompany.mavenproject1 -DartifactId=mavenproject1 --batch-mode archetype:generate
java.lang.UnsupportedClassVersionError: org/apache/maven/cli/MavenCli (Unsupported major.minor version 49.0)
    at java.lang.ClassLoader.defineClass0(Native Method)

Como puede ver, está usando JAVA_HOME apuntando a JDK1.4 y está causando un error. Pero el netbeans.conf, está usando JDK1.6

netbeans_jdkhome="C:\Program Files\Java\jdk1.6.0_06"

como resolverlo ?

Gracias.

Respuesta 1

He hecho una pregunta similar para el método string.GetHashCode () en .NET. Tomado de entonces, he aprendido que no podemos confiar en la implementación implícita del código hash para los tipos incorporados, si nosotros ...

queridos amigos, uso openCV en Java. Todo está bien, pero la cosa es que estoy limitado con la API, no puedo crear archivos C (no soy muy hábil en C / C ++ y no los usé durante mucho tiempo) durante ...

Sé que lo primero que estás pensando es "búscalo dentro de la documentación", el problema es que la documentación no lo tiene claro. Utilizo la biblioteca para obtener FFT y comencé desde este corto ...

Estoy tratando de conectarme a una base de datos de Microsoft Access en Eclipse (Mars 4.5.0; Java 1.8) en una Mac (el capitaine). Sigo recibiendo el error: net.ucanaccess.jdbc.UcanaccessSQLException: UCAExc ::: 3.0.4 ...